scala.swing.event

# Key

#### object Key extends Enumeration

Enumeration of key codes used by key events.

Source
  Key.scala

Linear Supertypes
Enumeration, Serializable, java.io.Serializable, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Key
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Modifiers = Int

2. #### class Val extends Value with Serializable

   A class implementing the scala.Enumeration.Value type.

3. #### abstract class Value extends Ordered[Value] with Serializable

   The type of the enumerated values.

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   A class for sets of values.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val A: Value

7. #### val Accept: Value

8. #### val Add: Value

9. #### val Again: Value

10. #### val AllCandidates: Value

11. #### val Alphanumeric: Value

12. #### val Alt: Value

13. #### val AltGraph: Value

14. #### val Ampersand: Value

15. #### val Asterisk: Value

16. #### val At: Value

17. #### val B: Value

18. #### val BackQuote: Value

19. #### val BackSlash: Value

20. #### val BackSpace: Value

21. #### val Begin: Value

22. #### val Braceleft: Value

23. #### val Braceright: Value

24. #### val C: Value

25. #### val Cancel: Value

26. #### val CapsLock: Value

27. #### val Circumflex: Value

28. #### val Clear: Value

29. #### val CloseBracket: Value

30. #### val CodeInput: Value

31. #### val Colon: Value

32. #### val Comma: Value

33. #### val Compose: Value

34. #### val ContextMenu: Value

35. #### val Control: Value

36. #### val Convert: Value

37. #### val Copy: Value

38. #### val Cut: Value

39. #### val D: Value

40. #### val DeadAbovedot: Value

41. #### val DeadAbovering: Value

42. #### val DeadAcute: Value

43. #### val DeadBreve: Value

44. #### val DeadCaron: Value

45. #### val DeadCedilla: Value

46. #### val DeadCircumflex: Value

47. #### val DeadDiaeresis: Value

48. #### val DeadDoubleacute: Value

49. #### val DeadGrave: Value

50. #### val DeadIota: Value

51. #### val DeadMacron: Value

52. #### val DeadOgonek: Value

53. #### val DeadSemivoicedSound: Value

54. #### val DeadTilde: Value

55. #### val DeadVoicedSound: Value

56. #### val Decimal: Value

57. #### val Delete: Value

58. #### val Divide: Value

59. #### val Dollar: Value

60. #### val Down: Value

61. #### val E: Value

62. #### val End: Value

63. #### val Enter: Value

64. #### val Equals: Value

65. #### val Escape: Value

66. #### val EuroSign: Value

67. #### val ExclamationMark: Value

68. #### val F: Value

69. #### val F1: Value

70. #### val F10: Value

71. #### val F11: Value

72. #### val F12: Value

73. #### val F13: Value

74. #### val F14: Value

75. #### val F15: Value

76. #### val F16: Value

77. #### val F17: Value

78. #### val F18: Value

79. #### val F19: Value

80. #### val F2: Value

81. #### val F20: Value

82. #### val F21: Value

83. #### val F22: Value

84. #### val F23: Value

85. #### val F24: Value

86. #### val F3: Value

87. #### val F4: Value

88. #### val F5: Value

89. #### val F6: Value

90. #### val F7: Value

91. #### val F8: Value

92. #### val F9: Value

93. #### val Final: Value

94. #### val Find: Value

95. #### val FullWidth: Value

96. #### val G: Value

97. #### val Greater: Value

98. #### val H: Value

99. #### val HalfWidth: Value

100. #### val Help: Value

101. #### val Hiragana: Value

102. #### val Home: Value

103. #### val I: Value

104. #### val InputMethodOnOff: Value

105. #### val Insert: Value

106. #### val InvertedExclamationMark: Value

107. #### val J: Value

108. #### val JapaneseHiragana: Value

109. #### val JapaneseKatakana: Value

110. #### val JapaneseRoman: Value

111. #### val K: Value

112. #### val Kana: Value

113. #### val KanaLock: Value

114. #### val Kanji: Value

115. #### val Katakana: Value

116. #### val Key0: Value

117. #### val Key1: Value

118. #### val Key2: Value

119. #### val Key3: Value

120. #### val Key4: Value

121. #### val Key5: Value

122. #### val Key6: Value

123. #### val Key7: Value

124. #### val Key8: Value

125. #### val Key9: Value

126. #### val KpDown: Value

127. #### val KpLeft: Value

128. #### val KpRight: Value

129. #### val KpUp: Value

130. #### val L: Value

131. #### val Left: Value

132. #### val LeftParenthesis: Value

133. #### val Less: Value

134. #### object Location extends Enumeration

135. #### val M: Value

136. #### val Meta: Value

137. #### val Minus: Value

138. #### val Modechange: Value

139. #### object Modifier

140. #### val Multiply: Value

141. #### val N: Value

142. #### val Nonconvert: Value

143. #### val NumLock: Value

144. #### val NumberSign: Value

145. #### val Numpad0: Value

146. #### val Numpad1: Value

147. #### val Numpad2: Value

148. #### val Numpad3: Value

149. #### val Numpad4: Value

150. #### val Numpad5: Value

151. #### val Numpad6: Value

152. #### val Numpad7: Value

153. #### val Numpad8: Value

154. #### val Numpad9: Value

155. #### val O: Value

156. #### val OpenBracket: Value

157. #### val P: Value

158. #### val PageDown: Value

159. #### val PageUp: Value

160. #### val Paste: Value

161. #### val Pause: Value

162. #### val Period: Value

163. #### val Plus: Value

164. #### val PreviousCandidate: Value

165. #### val Printscreen: Value

166. #### val Props: Value

167. #### val Q: Value

168. #### val Quote: Value

169. #### val Quotedbl: Value

170. #### val R: Value

171. #### val Right: Value

172. #### val RightParenthesis: Value

173. #### val RomanCharacters: Value

174. #### val S: Value

175. #### val ScrollLock: Value

176. #### val Semicolon: Value

177. #### val Separator: Value

178. #### val Shift: Value

179. #### val Slash: Value

180. #### val Space: Value

181. #### val Stop: Value

182. #### val Subtract: Value

183. #### val T: Value

184. #### val Tab: Value

185. #### val U: Value

186. #### val Undefined: Value

187. #### val Underscore: Value

188. #### val Undo: Value

189. #### val Up: Value

190. #### val V: Value

191. #### final def Value(i: Int, name: String): Value

     Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

     Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

     i

       An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

     name

       A human-readable name for that value.

     returns

       Fresh value with the provided identifier `i` and name `name`.

     Attributes
       protected
     Definition Classes
       Enumeration

192. #### final def Value(name: String): Value

     Creates a fresh value, part of this enumeration, called `name`.

     Creates a fresh value, part of this enumeration, called `name`.

     name

       A human-readable name for that value.

     returns

       Fresh value called `name`.

     Attributes
       protected
     Definition Classes
       Enumeration

193. #### final def Value(i: Int): Value

     Creates a fresh value, part of this enumeration, identified by the integer `i`.

     Creates a fresh value, part of this enumeration, identified by the integer `i`.

     i

       An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

     returns

       Fresh value identified by `i`.

     Attributes
       protected
     Definition Classes
       Enumeration

194. #### final def Value: Value

     Creates a fresh value, part of this enumeration.

     Creates a fresh value, part of this enumeration.

     Attributes
       protected
     Definition Classes
       Enumeration

195. #### object ValueOrdering extends Ordering[Value]

     An ordering by id for values of this set

196. #### object ValueSet extends Serializable

     A factory object for value sets

197. #### val W: Value

198. #### val Windows: Value

199. #### val X: Value

200. #### val Y: Value

201. #### val Z: Value

202. #### final def apply(x: Int): Value

     The value of this enumeration with given id `x`

     The value of this enumeration with given id `x`

     Definition Classes
       Enumeration

203. #### final def asInstanceOf[T0]: T0

     Cast the receiver object to be of type `T0`.

     Cast the receiver object to be of type `T0`.

     Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

     returns

       the receiver object.

     Definition Classes
       Any
     Exceptions thrown
       ClassCastException

       if the receiver object is not an instance of the erasure of type `T0`.

204. #### def clone(): AnyRef

     Create a copy of the receiver object.

     Create a copy of the receiver object.

     The default implementation of the `clone` method is platform dependent.

     returns

       a copy of the receiver object.

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws()
     Note

       not specified by SLS as a member of AnyRef

205. #### final def eq(arg0: AnyRef): Boolean

     Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

     Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

     The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

     - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
     - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
     - `null.eq(null)` returns `true`.

     When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

     returns

       `true` if the argument is a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

206. #### def equals(arg0: Any): Boolean

     The equality method for reference types.

     The equality method for reference types. Default implementation delegates to `eq`.

     See also `equals` in scala.Any.

     returns

       `true` if the receiver object is equivalent to the argument; `false` otherwise.

     Definition Classes
       AnyRef → Any

207. #### def finalize(): Unit

     Called by the garbage collector on the receiver object when there are no more references to the object.

     Called by the garbage collector on the receiver object when there are no more references to the object.

     The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

     Attributes
       protected[java.lang]
     Definition Classes
       AnyRef
     Annotations
       @throws()
     Note

       not specified by SLS as a member of AnyRef

208. #### final def getClass(): Class[_]

     A representation that corresponds to the dynamic class of the receiver object.

     A representation that corresponds to the dynamic class of the receiver object.

     The nature of the representation is platform dependent.

     returns

       a representation that corresponds to the dynamic class of the receiver object.

     Definition Classes
       AnyRef → Any
     Note

       not specified by SLS as a member of AnyRef

209. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

210. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

211. #### final def maxId: Int

     The one higher than the highest integer amongst those used to identify values in this enumeration.

     The one higher than the highest integer amongst those used to identify values in this enumeration.

     Definition Classes
       Enumeration

212. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

213. #### var nextId: Int

     The integer to use to identify the next created value.

     The integer to use to identify the next created value.

     Attributes
       protected
     Definition Classes
       Enumeration

214. #### var nextName: Iterator[String]

     The string to use to name the next created value.

     The string to use to name the next created value.

     Attributes
       protected
     Definition Classes
       Enumeration

215. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

216. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

217. #### def readResolve(): AnyRef

     Attributes
       protected
     Definition Classes
       Enumeration

218. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

219. #### def toString(): String

     The name of this enumeration.

     The name of this enumeration.

     returns

       a String representation of the object.

     Definition Classes
       Enumeration → AnyRef → Any

220. #### def values: ValueSet

     The values of this enumeration as a set.

     The values of this enumeration as a set.

     Definition Classes
       Enumeration

221. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

222. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

223. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

224. #### final def withName(s: String): Value

     Return a `Value` from this `Enumeration` whose name matches the argument `s`.

     Return a `Value` from this `Enumeration` whose name matches the argument `s`. The names are determined automatically via reflection.

     s

       an `Enumeration` name

     returns

       the `Value` of this `Enumeration` if its name matches `s`

     Definition Classes
       Enumeration
     Exceptions thrown
       java.util.NoSuchElementException

       if no `Value` with a matching name is in this `Enumeration`

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped